KDE 4.9 PyKDE API Reference

- KDE's Python API

# K3Icon Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Internal:
  One icon as found by KIconTheme. Also serves as a namespace containing icon related constants.

Warning:
  You should not use this class externally. This class is exported because the KCM needs it.

## Attributes

KIconLoader.Context | context
QString | path
int | size
int | threshold
KIconLoader.Type | type

## Methods

| __init__ (self)
bool | isValid (self)

## Method Documentation

__init__ | ( |  | self ) |

bool isValid | ( |  | self ) |

## Attribute Documentation

KIconLoader.Context context

QString path

int size

int threshold

KIconLoader.Type type